# Function getTransferNativeWithPayloadAccounts

- getTransferNativeWithPayloadAccounts(tokenBridgeProgramId, wormholeProgramId, payer, message, from, mint, cpiProgramId?): TransferNativeWithPayloadAccounts

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### message: PublicKeyInitData

  - ##### from: PublicKeyInitData

  - ##### mint: PublicKeyInitData

  - ##### `Optional` cpiProgramId: PublicKeyInitData

  #### Returns TransferNativeWithPayloadAccounts

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/transferNativeWithPayload.ts:82

Generated using TypeDoc